## com.icl.saxon.number
Interface Numberer

All Known Implementing Classes:
  Numberer_en

public interface Numberer

Interface Numberer supports number formatting. There is a separate implementation for each language, e.g. Numberer_en for English. This supports the xsl:number element

Method Summary
`java.lang.String` `format(int number, java.lang.String picture, int groupSize, java.lang.String groupSeparator, java.lang.String letterValue)` Format a number into a string

Method Detail

### format

    public java.lang.String format(int number,
                                   java.lang.String picture,
                                   int groupSize,
                                   java.lang.String groupSeparator,
                                   java.lang.String letterValue)

  Format a number into a string
  Parameters:
    `number` - The number to be formatted
    `picture` - The format specification. This is a single component of the format attribute of xsl:number, e.g. "1", "01", "i", or "a"
    `groupSize` - number of digits per group (0 implies no grouping)
    `groupSeparator` - string to appear between groups of digits
    `letterValue` - as defined in xsl:number ("alphabetic" or "traditional" or "")
  Returns:
    the formatted number